Bug 1273698 (CVE-2015-5306) - CVE-2015-5306 openstack-ironic-discoverd: potential remote code execution with debug mode enabled
Summary: CVE-2015-5306 openstack-ironic-discoverd: potential remote code execution wit...
Status: CLOSED ERRATA
Alias: CVE-2015-5306
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20151015,repo...
Keywords: Reopened, Security
Depends On: 1272931 1273701 1288252
Blocks: 1273195
TreeView+ depends on / blocked
 
Reported: 2015-10-21 05:04 UTC by Garth Mollett
Modified: 2019-06-08 20:48 UTC (History)
21 users (show)

(edit)
It was discovered that enabling debug mode in openstack-ironic-discoverd also enabled debug mode in the underlying Flask framework. If errors were encountered while Flask was  in debug mode, a user experiencing an error might be able to access the debug console (effectively, a command shell).
Clone Of:
(edit)
Last Closed: 2016-01-04 05:18:15 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1929 normal SHIPPED_LIVE Important: openstack-ironic-discoverd security update 2015-10-22 23:44:50 UTC
Red Hat Product Errata RHSA-2015:2685 normal SHIPPED_LIVE Important: openstack-ironic-discoverd security update 2015-12-22 00:09:02 UTC

Description Garth Mollett 2015-10-21 05:04:42 UTC
It was discovered that enabling debug mode in ironic-discoverd would also enable debug mode in flask, which would in turn enable the flask console on error. An attacker able to trigger an error and expose the flask console could use the console to run arbitary python code.

Comment 1 Garth Mollett 2015-10-21 05:17:56 UTC
Created openstack-ironic-discoverd tracking bugs for this issue:

Affects: fedora-all [bug 1273701]

Comment 3 errata-xmlrpc 2015-10-22 19:45:04 UTC
This issue has been addressed in the following products:

  OpenStack 7.0 Director/Manager for RHEL 7

Via RHSA-2015:1929 https://access.redhat.com/errata/RHSA-2015:1929

Comment 4 Fedora Update System 2015-11-12 23:29:43 UTC
openstack-ironic-discoverd-1.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-11-13 01:53:13 UTC
openstack-ironic-discoverd-1.1.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2015-12-21 19:09:23 UTC
This issue has been addressed in the following products:

  OpenStack 6 for RHEL 7

Via RHSA-2015:2685 https://rhn.redhat.com/errata/RHSA-2015-2685.html


Note You need to log in before you can comment on or make changes to this bug.